Get Athlete in Organization
curl --request GET \
--url https://api.uplift.ai/v1/athletes/{athleteId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uplift.ai/v1/athletes/{athleteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uplift.ai/v1/athletes/{athleteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"athlete": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"positions": [
"<string>"
],
"height": 123,
"weight": 123,
"custom_attributes": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "BadRequest",
"message": "The request parameters are invalid. Please review the request and try again."
}{
"error": "Unauthorized",
"message": "Bearer token is missing or invalid."
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"error": "NotFound",
"message": "The specified athleteId was not found."
}{
"error": "TooManyRequests",
"message": "The rate limit has been exceeded. Please wait and try again later."
}{
"error": "InternalServerError",
"message": "An unexpected error occurred on the server. Please try again later."
}Athletes
Get Athlete Details
Retrieves the information of an athlete in an organization.
GET
/
athletes
/
{athleteId}
Get Athlete in Organization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the athlete record to be retrieved.
Response
Successful retrieval of athlete data.
Show child attributes
Show child attributes
⌘I